Package org.eclipse.cdt.utils.coff

# Class PEConstants

java.lang.Object
org.eclipse.cdt.utils.coff.PEConstants

public class PEConstants extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`IMAGE_DIRECTORY_ENTRY_BASERELOC`
`static final int`
`IMAGE_DIRECTORY_ENTRY_BOUND_IMPORT`
`static final int`
`IMAGE_DIRECTORY_ENTRY_COPYRIGHT`
`static final int`
`IMAGE_DIRECTORY_ENTRY_DEBUG`
`static final int`
`IMAGE_DIRECTORY_ENTRY_EXCEPTION`
`static final int`
`IMAGE_DIRECTORY_ENTRY_EXPORT`
`static final int`
`IMAGE_DIRECTORY_ENTRY_GLOBALPTR`
`static final int`
`IMAGE_DIRECTORY_ENTRY_IAT`
`static final int`
`IMAGE_DIRECTORY_ENTRY_IMPORT`
`static final int`
`IMAGE_DIRECTORY_ENTRY_LOAD_CONFIG`
`static final int`
`IMAGE_DIRECTORY_ENTRY_RESOURCE`
`static final int`
`IMAGE_DIRECTORY_ENTRY_SECURITY`
`static final int`
`IMAGE_DIRECTORY_ENTRY_TLS`
`static final int`
`IMAGE_DLLCHARACTERISTICS_NO_BIND`
`static final int`
`IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER`
`static final int`
`IMAGE_DLLCHARACTERISTICS_WDM_DRIVER`
`static final int`
`IMAGE_FILE_16BIT_MACHINE`
`static final int`
`IMAGE_FILE_32BIT_MACHINE`
`static final int`
`IMAGE_FILE_AGGRESSIVE_WS_TRIM`
`static final int`
`IMAGE_FILE_BYTES_REVERSED_HI`
`static final int`
`IMAGE_FILE_BYTES_REVERSED_LO`
`static final int`
`IMAGE_FILE_DEBUG_STRIPPED`
`static final int`
`IMAGE_FILE_DLL`
`static final int`
`IMAGE_FILE_EXECUTABLE_IMAGE`
`static final int`
`IMAGE_FILE_LARGE_ADDRESS_AWARE`
`static final int`
`IMAGE_FILE_LINE_NUMS_STRIPPED`
`static final int`
`IMAGE_FILE_LOCAL_SYMS_STRIPPED`
`static final int`
`IMAGE_FILE_MACHINE_ALPHA`
`static final int`
`IMAGE_FILE_MACHINE_ALPHA64`
`static final int`
`IMAGE_FILE_MACHINE_AMD64`
`static final int`
`IMAGE_FILE_MACHINE_ARM`
`static final int`
`IMAGE_FILE_MACHINE_ARM2`
`static final int`
`IMAGE_FILE_MACHINE_I386`
`static final int`
`IMAGE_FILE_MACHINE_IA64`
`static final int`
`IMAGE_FILE_MACHINE_M68K`
`static final int`
`IMAGE_FILE_MACHINE_MIPS16`
`static final int`
`IMAGE_FILE_MACHINE_MIPSFPU`
`static final int`
`IMAGE_FILE_MACHINE_MIPSFPU16`
`static final int`
`IMAGE_FILE_MACHINE_POWERPC`
`static final int`
`IMAGE_FILE_MACHINE_R10000`
`static final int`
`IMAGE_FILE_MACHINE_R3000`
`static final int`
`IMAGE_FILE_MACHINE_R4000`
`static final int`
`IMAGE_FILE_MACHINE_SH3`
`static final int`
`IMAGE_FILE_MACHINE_SH4`
`static final int`
`IMAGE_FILE_MACHINE_THUMB`
`static final int`
`IMAGE_FILE_MACHINE_UNKNOWN`
`static final int`
`IMAGE_FILE_RELOCS_STRIPPED`
`static final int`
`IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP`
`static final int`
`IMAGE_FILE_SYSTEM`
`static final int`
`IMAGE_FILE_UP_SYSTEM_ONLY`
`static final int`
`IMAGE_NUMBEROF_DIRECTORY_ENTRIES`
`static final int`
`IMAGE_SUBSYSTEM_EFI_APPLICATION`
`static final int`
`IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER`
`static final int`
`IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER`
`static final int`
`IMAGE_SUBSYSTEM_NATIVE`
`static final int`
`IMAGE_SUBSYSTEM_POSIX_CUI`
`static final int`
`IMAGE_SUBSYSTEM_UNKNOWN`
`static final int`
`IMAGE_SUBSYSTEM_WINDOWS_CE_GUI`
`static final int`
`IMAGE_SUBSYSTEM_WINDOWS_CUI`
`static final int`
`IMAGE_SUBSYSTEM_WINDOWS_GUI`
`static final int`
`PE32`
`static final int`
`PE32PLUS`

## Constructor Summary

Constructors
Constructor
Description
`PEConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMAGE_FILE_RELOCS_STRIPPED

public static final int IMAGE_FILE_RELOCS_STRIPPED

See Also:
  - Constant Field Values

### IMAGE_FILE_EXECUTABLE_IMAGE

public static final int IMAGE_FILE_EXECUTABLE_IMAGE

See Also:
  - Constant Field Values

### IMAGE_FILE_LINE_NUMS_STRIPPED

public static final int IMAGE_FILE_LINE_NUMS_STRIPPED

See Also:
  - Constant Field Values

### IMAGE_FILE_LOCAL_SYMS_STRIPPED

public static final int IMAGE_FILE_LOCAL_SYMS_STRIPPED

See Also:
  - Constant Field Values

### IMAGE_FILE_AGGRESSIVE_WS_TRIM

public static final int IMAGE_FILE_AGGRESSIVE_WS_TRIM

See Also:
  - Constant Field Values

### IMAGE_FILE_LARGE_ADDRESS_AWARE

public static final int IMAGE_FILE_LARGE_ADDRESS_AWARE

See Also:
  - Constant Field Values

### IMAGE_FILE_16BIT_MACHINE

public static final int IMAGE_FILE_16BIT_MACHINE

See Also:
  - Constant Field Values

### IMAGE_FILE_BYTES_REVERSED_LO

public static final int IMAGE_FILE_BYTES_REVERSED_LO

See Also:
  - Constant Field Values

### IMAGE_FILE_32BIT_MACHINE

public static final int IMAGE_FILE_32BIT_MACHINE

See Also:
  - Constant Field Values

### IMAGE_FILE_DEBUG_STRIPPED

public static final int IMAGE_FILE_DEBUG_STRIPPED

See Also:
  - Constant Field Values

### IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP

public static final int IMAGE_FILE_REMOVABLE_RUN_FROM_SWAP

See Also:
  - Constant Field Values

### IMAGE_FILE_SYSTEM

public static final int IMAGE_FILE_SYSTEM

See Also:
  - Constant Field Values

### IMAGE_FILE_DLL

public static final int IMAGE_FILE_DLL

See Also:
  - Constant Field Values

### IMAGE_FILE_UP_SYSTEM_ONLY

public static final int IMAGE_FILE_UP_SYSTEM_ONLY

See Also:
  - Constant Field Values

### IMAGE_FILE_BYTES_REVERSED_HI

public static final int IMAGE_FILE_BYTES_REVERSED_HI

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_UNKNOWN

public static final int IMAGE_FILE_MACHINE_UNKNOWN

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_ALPHA

public static final int IMAGE_FILE_MACHINE_ALPHA

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_ARM

public static final int IMAGE_FILE_MACHINE_ARM

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_ALPHA64

public static final int IMAGE_FILE_MACHINE_ALPHA64

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_AMD64

public static final int IMAGE_FILE_MACHINE_AMD64

Since:
  5.2
See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_I386

public static final int IMAGE_FILE_MACHINE_I386

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_IA64

public static final int IMAGE_FILE_MACHINE_IA64

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_M68K

public static final int IMAGE_FILE_MACHINE_M68K

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_MIPS16

public static final int IMAGE_FILE_MACHINE_MIPS16

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_MIPSFPU

public static final int IMAGE_FILE_MACHINE_MIPSFPU

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_MIPSFPU16

public static final int IMAGE_FILE_MACHINE_MIPSFPU16

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_POWERPC

public static final int IMAGE_FILE_MACHINE_POWERPC

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_R3000

public static final int IMAGE_FILE_MACHINE_R3000

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_R4000

public static final int IMAGE_FILE_MACHINE_R4000

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_R10000

public static final int IMAGE_FILE_MACHINE_R10000

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_SH3

public static final int IMAGE_FILE_MACHINE_SH3

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_SH4

public static final int IMAGE_FILE_MACHINE_SH4

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_THUMB

public static final int IMAGE_FILE_MACHINE_THUMB

See Also:
  - Constant Field Values

### IMAGE_FILE_MACHINE_ARM2

public static final int IMAGE_FILE_MACHINE_ARM2

See Also:
  - Constant Field Values

### PE32

public static final int PE32

See Also:
  - Constant Field Values

### PE32PLUS

public static final int PE32PLUS

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_UNKNOWN

public static final int IMAGE_SUBSYSTEM_UNKNOWN

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_NATIVE

public static final int IMAGE_SUBSYSTEM_NATIVE

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_WINDOWS_GUI

public static final int IMAGE_SUBSYSTEM_WINDOWS_GUI

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_WINDOWS_CUI

public static final int IMAGE_SUBSYSTEM_WINDOWS_CUI

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_POSIX_CUI

public static final int IMAGE_SUBSYSTEM_POSIX_CUI

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_WINDOWS_CE_GUI

public static final int IMAGE_SUBSYSTEM_WINDOWS_CE_GUI

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_EFI_APPLICATION

public static final int IMAGE_SUBSYSTEM_EFI_APPLICATION

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER

public static final int IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER

See Also:
  - Constant Field Values

### IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER

public static final int IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER

See Also:
  - Constant Field Values

### IMAGE_DLLCHARACTERISTICS_NO_BIND

public static final int IMAGE_DLLCHARACTERISTICS_NO_BIND

See Also:
  - Constant Field Values

### IMAGE_DLLCHARACTERISTICS_WDM_DRIVER

public static final int IMAGE_DLLCHARACTERISTICS_WDM_DRIVER

See Also:
  - Constant Field Values

### IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER

public static final int IMAGE_DLLCHARACTERISTICS_TERMINAL_SERVER

See Also:
  - Constant Field Values

### IMAGE_NUMBEROF_DIRECTORY_ENTRIES

public static final int IMAGE_NUMBEROF_DIRECTORY_ENTRIES

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_EXPORT

public static final int IMAGE_DIRECTORY_ENTRY_EXPORT

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_IMPORT

public static final int IMAGE_DIRECTORY_ENTRY_IMPORT

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_RESOURCE

public static final int IMAGE_DIRECTORY_ENTRY_RESOURCE

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_EXCEPTION

public static final int IMAGE_DIRECTORY_ENTRY_EXCEPTION

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_SECURITY

public static final int IMAGE_DIRECTORY_ENTRY_SECURITY

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_BASERELOC

public static final int IMAGE_DIRECTORY_ENTRY_BASERELOC

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_DEBUG

public static final int IMAGE_DIRECTORY_ENTRY_DEBUG

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_COPYRIGHT

public static final int IMAGE_DIRECTORY_ENTRY_COPYRIGHT

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_GLOBALPTR

public static final int IMAGE_DIRECTORY_ENTRY_GLOBALPTR

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_TLS

public static final int IMAGE_DIRECTORY_ENTRY_TLS

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_LOAD_CONFIG

public static final int IMAGE_DIRECTORY_ENTRY_LOAD_CONFIG

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_BOUND_IMPORT

public static final int IMAGE_DIRECTORY_ENTRY_BOUND_IMPORT

See Also:
  - Constant Field Values

### IMAGE_DIRECTORY_ENTRY_IAT

public static final int IMAGE_DIRECTORY_ENTRY_IAT

See Also:
  - Constant Field Values

## Constructor Details

### PEConstants

public PEConstants()